#!/bin/sh

set -e
set -x

# edit up here

CC=${CC:-gcc}
CFLAGS=${CFLAGS:--g -fPIC -m32 -mcpu=v9 -munaligned-doubles}
Compile=$(CC) $(CFLAGS) -c
Assemble=as --32 -Qy -s -Av9a -32 -relax
Link=$(CC) $(CFLAGS) *.mo *.io *.o -lm -pthread

# no more editing should be needed

$(Link) -o cm3
